Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mail.dsn
Class DispositionNotification

    java.lang.Object
      com.sun.mail.dsn.Report
          com.sun.mail.dsn.DispositionNotification

    public class DispositionNotification

extends Report

A message/disposition-notification message content, as defined in RFC 3798.

Since:
  JavaMail 1.4.2

Field Summary
`protected InternetHeaders` | `notifications` The disposition notification content fields.

Fields inherited from class com.sun.mail.dsn.Report
`type`

Constructor Summary
`DispositionNotification()` Construct a disposition notification with no content.
`DispositionNotification(InputStream is)` Construct a disposition notification by parsing the supplied input stream.

Method Summary
`InternetHeaders` | `getNotifications()` Return all the disposition notification fields in the disposition notification.
`void` | `setNotifications(InternetHeaders notifications)` Set the disposition notification fields in the disposition notification.
`String` | `toString()`
`void` | `writeTo(OutputStream os)`

Methods inherited from class com.sun.mail.dsn.Report
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### notifications

    protected InternetHeaders notifications

  The disposition notification content fields.

Constructor Detail

### DispositionNotification

    public DispositionNotification()
                            throws MessagingException

  Construct a disposition notification with no content.

  Throws:
    `MessagingException`

### DispositionNotification

    public DispositionNotification(InputStream is)
                            throws MessagingException,
                                   IOException

  Construct a disposition notification by parsing the supplied input stream.

  Throws:
    `MessagingException`
    `IOException`

Method Detail

### getNotifications

    public InternetHeaders getNotifications()

  Return all the disposition notification fields in the disposition notification. The fields are defined as:

          disposition-notification-content =
                      [ reporting-ua-field CRLF ]
                      [ mdn-gateway-field CRLF ]
                      [ original-recipient-field CRLF ]
                      final-recipient-field CRLF
                      [ original-message-id-field CRLF ]
                      disposition-field CRLF
                      *( failure-field CRLF )
                      *( error-field CRLF )
                      *( warning-field CRLF )
                      *( extension-field CRLF )

### setNotifications

    public void setNotifications(InternetHeaders notifications)

  Set the disposition notification fields in the disposition notification.

### writeTo

    public void writeTo(OutputStream os)
                 throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.